<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>LineAttributes (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LineAttributes (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LineAttributes.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/LineAttributes.html" target="_top">Frames</a></li>
<li><a href="LineAttributes.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class LineAttributes" class="title">Class LineAttributes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.LineAttributes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LineAttributes</span>
extends java.lang.Object</pre>
<div class="block">Line/Shape outline attributes. specify the drawing attributes of a line or the outline of a
 shape.

 This class can be used together with <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> to form a <a href="../../../../../com/here/android/mpa/ar/ARPolylineObject.html" title="class in com.here.android.mpa.ar"><code>ARPolylineObject</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected com.nokia.maps.LineAttributesImpl</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#m_basePimpl">m_basePimpl</a></span></code> </td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#LineAttributes--">LineAttributes</a></span>()</code>
<div class="block">Constructs a LineAttributes object from default parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#LineAttributes-int-int-com.here.android.mpa.mapping.MapPolyline.CapStyle-boolean-">LineAttributes</a></span>(int widthInPixel,
              int color,
              <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> capStyle,
              boolean perspective)</code>
<div class="block">Constructs a LineAttributes object from passed parameters.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#enablePerspective-boolean-">enablePerspective</a></span>(boolean enable)</code>
<div class="block">Enable perspective.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getCapStyle--">getCapStyle</a></span>()</code>
<div class="block">Get the line end rendering cap style</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getDashPrimaryLength--">getDashPrimaryLength</a></span>()</code>
<div class="block">Returns the current length of the primary dash segment of a dashed line, in pixels.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getDashSecondaryLength--">getDashSecondaryLength</a></span>()</code>
<div class="block">Returns the current length of the secondary (empty) dash segments of a dashed line, in
 pixels.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getLineColor--">getLineColor</a></span>()</code>
<div class="block">Gets the current line color, returning an ARGB (Alpha/Red/Green/Blue) integer color value.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getLineWidth--">getLineWidth</a></span>()</code>
<div class="block">Returns the current line width, in pixels.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#isDashEnabled--">isDashEnabled</a></span>()</code>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>LineAttributes</code> appears as a dashed
 line.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#isPerspectiveEnable--">isPerspectiveEnable</a></span>()</code>
<div class="block">Queries if perspective is enabled.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setCapStyle-com.here.android.mpa.mapping.MapPolyline.CapStyle-">setCapStyle</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> style)</code>
<div class="block">Set the line end rendering cap style.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setDashEnabled-boolean-">setDashEnabled</a></span>(boolean enabled)</code>
<div class="block">Sets the appearance as either a dashed or solid line.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setDashPrimaryLength-int-">setDashPrimaryLength</a></span>(int length)</code>
<div class="block">Sets a length, in pixels, for the primary dash segment of a dashed line.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setDashSecondaryLength-int-">setDashSecondaryLength</a></span>(int length)</code>
<div class="block">Sets a length, in pixels, for the secondary (empty) dash segments of a dashed line.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setLineColor-int-">setLineColor</a></span>(int color)</code>
<div class="block">Sets line color, using an ARGB (Alpha/Red/Green/Blue) integer color value.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setLineWidth-int-">setLineWidth</a></span>(int width)</code>
<div class="block">Sets a line width, in pixels, an <code>int</code> value within the [0..100] range.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_basePimpl">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_basePimpl</h4>
<pre>protected com.nokia.maps.LineAttributesImpl m_basePimpl</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LineAttributes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LineAttributes</h4>
<pre>public LineAttributes()</pre>
<div class="block">Constructs a LineAttributes object from default parameters.
 <p>
 Default parameters are:
 </p>
 <ul>
 <li>Width of Line - 1 px</li>
 <li>Color of the line - <code>Color.BLUE</code></li>
 <li>The line ending styles - <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html#ROUND"><code>MapPolyline.CapStyle.ROUND</code></a></li>
 <li>Perspective - <code>false</code></li>
 </ul></div>
</li>
</ul>
<a name="LineAttributes-int-int-com.here.android.mpa.mapping.MapPolyline.CapStyle-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LineAttributes</h4>
<pre>public LineAttributes(int widthInPixel,
                      int color,
                      <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> capStyle,
                      boolean perspective)</pre>
<div class="block">Constructs a LineAttributes object from passed parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>widthInPixel</code> - Width in pixels of the line. The value will be clipped to the valid range [0,
            100].</dd>
<dd><code>color</code> - Color of the line using an ARGB (Alpha/Red/Green/Blue) integer color value.</dd>
<dd><code>capStyle</code> - The line ending styles.</dd>
<dd><code>perspective</code> - if <code>true</code>, the line looks thinner further away when the map is tilted.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setLineColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineColor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setLineColor(int color)</pre>
<div class="block">Sets line color, using an ARGB (Alpha/Red/Green/Blue) integer color value. The default line
 color is <code>Color.BLUE</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - The ARGB integer color value. The packed integer is made up of 4 bytes: alpha,
            red, green, blue. Each color component has a value range from [0..255] with 0
            meaning no contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineColor</h4>
<pre>public int getLineColor()</pre>
<div class="block">Gets the current line color, returning an ARGB (Alpha/Red/Green/Blue) integer color value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
         alpha, red, green, blue. Each color component has a value range from [0..255], with 0
         meaning no contribution for that component and 255 meaning 100% contribution</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="setLineWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineWidth</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setLineWidth(int width)</pre>
<div class="block">Sets a line width, in pixels, an <code>int</code> value within the [0..100] range. By default, the
 line width is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Desired width of the line. Must be within the [0..100] range.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - is width is out of range.</dd>
</dl>
</li>
</ul>
<a name="getLineWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineWidth</h4>
<pre>public int getLineWidth()</pre>
<div class="block">Returns the current line width, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current line width.</dd>
</dl>
</li>
</ul>
<a name="isDashEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDashEnabled</h4>
<pre>public boolean isDashEnabled()</pre>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>LineAttributes</code> appears as a dashed
 line. By default, dash is disabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <code>LineAttributes</code> is dashed, false otherwise</dd>
</dl>
</li>
</ul>
<a name="setDashEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setDashEnabled(boolean enabled)</pre>
<div class="block">Sets the appearance as either a dashed or solid line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - A <code>boolean</code> specifying whether line should be dashed.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getDashPrimaryLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDashPrimaryLength</h4>
<pre>public int getDashPrimaryLength()</pre>
<div class="block">Returns the current length of the primary dash segment of a dashed line, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current length of the primary dash</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getDashSecondaryLength--"><code>LineAttributes.getDashSecondaryLength()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDashPrimaryLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashPrimaryLength</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setDashPrimaryLength(int length)</pre>
<div class="block">Sets a length, in pixels, for the primary dash segment of a dashed line. By default, the
 primary dash length is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - Desired length of the primary dash</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>length</code> is smaller or equal to 0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setDashSecondaryLength-int-"><code>LineAttributes.setDashSecondaryLength(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getDashSecondaryLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDashSecondaryLength</h4>
<pre>public int getDashSecondaryLength()</pre>
<div class="block">Returns the current length of the secondary (empty) dash segments of a dashed line, in
 pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current length of the empty dash</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#getDashPrimaryLength--"><code>LineAttributes.getDashPrimaryLength()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDashSecondaryLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashSecondaryLength</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setDashSecondaryLength(int length)</pre>
<div class="block">Sets a length, in pixels, for the secondary (empty) dash segments of a dashed line. By
 default, the secondary dash length is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - Desired length of the empty dash</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>length</code> is smaller or equal to 0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html#setDashPrimaryLength-int-"><code>LineAttributes.setDashPrimaryLength(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCapStyle-com.here.android.mpa.mapping.MapPolyline.CapStyle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCapStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> setCapStyle(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> style)</pre>
<div class="block">Set the line end rendering cap style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - <code>CapStyle</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getCapStyle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> getCapStyle()</pre>
<div class="block">Get the line end rendering cap style</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>CapStyle</code> cap style.</dd>
</dl>
</li>
</ul>
<a name="enablePerspective-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enablePerspective</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar">LineAttributes</a> enablePerspective(boolean enable)</pre>
<div class="block">Enable perspective. The line looks thinner further away when the map is tilted.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enable</code> - Value to set.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>LineAttributes</code> itself.</dd>
</dl>
</li>
</ul>
<a name="isPerspectiveEnable--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isPerspectiveEnable</h4>
<pre>public boolean isPerspectiveEnable()</pre>
<div class="block">Queries if perspective is enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>perspective state.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LineAttributes.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/LineAttributes.html" target="_top">Frames</a></li>
<li><a href="LineAttributes.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
